IBM Support

Which DB2 version supports Java 8?

Question & Answer


Question

Which DB2 version supports Java 8?

Answer

At present, only DB2 version 10.5 fix pack 7 or higher supports Java 8. Java 8 is officially shipped with DB2 v11.1.

DB2 Client or driver needs to be on V10.5 FP7 or higher in order to support Java 8.



Refer to Java software support for additional information regarding Java support for other fix pack levels.

[{"Product":{"code":"SSEPGG","label":"DB2 for Linux- UNIX and Windows"},"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Component":"Programming Interface - JDBC","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF010","label":"HP-UX"},{"code":"PF016","label":"Linux"},{"code":"PF027","label":"Solaris"},{"code":"PF033","label":"Windows"}],"Version":"10.1;10.5;9.7","Edition":"","Line of Business":{"code":"LOB10","label":"Data and AI"}}]

Document Information

Modified date:
16 June 2018

UID

swg21983724